<!DOCTYPE html>
<html>
<head>

  <title>
    <% if (typeof title !== 'undefined') { %>
      <%= __(title) %>
      <% if (typeof appellation !== 'undefined')  {%>
        <%= appellation.label %>
        <% } %>
        |
        <% } %>


        histHub Forenames
      </title>
      <!-- Viewport mobile tag for sensible mobile support -->
      <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

      <!--
      Stylesheets and Preprocessors
      ==============================

      You can always bring in CSS files manually with `<link>` tags, or asynchronously
      using a solution like AMD (RequireJS).  Or, if you like, you can take advantage
      of Sails' conventional asset pipeline (boilerplate Gruntfile).

      By default, stylesheets from your `assets/styles` folder are included
      here automatically (between STYLES and STYLES END). Both CSS (.css) and LESS (.less)
      are supported. In production, your styles will be minified and concatenated into
      a single file.

      To customize any part of the built-in behavior, just edit `tasks/pipeline.js`.
      For example, here are a few things you could do:

      + Change the order of your CSS files
      + Import stylesheets from other directories
      + Use a different or additional preprocessor, like SASS, SCSS or Stylus
    -->

    <!--STYLES-->
    <link rel="stylesheet" href="/styles/importer.css">
    <link rel="stylesheet" href="/styles/nv.d3.css">
    <link rel="stylesheet" href="/styles/rzslider.min.css">
    <link rel="stylesheet" href="/styles/select.css">
    <!--STYLES END-->



    <style>
    body {
      padding: 15px 0;
    }

    .select2 > .select2-choice.ui-select-match {
      /* Because of the inclusion of Bootstrap */
      height: 29px;
    }

    .selectize-control > .selectize-dropdown {
      top: 36px;
    }
    /* Some additional styling to demonstrate that append-to-body helps achieve the proper z-index layering. */
    .select-box {
      background: #fff;
      position: relative;
      z-index: 1;
    }
    .alert-info.positioned {
      margin-top: 1em;
      position: relative;
      z-index: 10000; /* The select2 dropdown has a z-index of 9999 */
    }

    [ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-    ng-cloak {
      display: none !important;
    }
    </style>
  </head>

  <body ng-app="App" onload="resettoggle();" >

    <div class="container">
      <nav class="navbar navbar-default" role="navigation">
        <div class="navbar-header">
          <a  href="/forenames/<%= __(':lang') %>"><img src="/images/hhbLogo1.png" style="width:90px;margin-left:10px;margin-top:4px;margin-right:10px;"/></a>
          <a  href="http://histhub.ch/" target="_blank"><img src="/images/histHub_transp100.png" style="width:90px;margin-bottom: 14px;margin-right:10px;"/></a>
          <button type="button" class="navbar-toggle collapsed" ng-click="showMobileNav = !showMobileNav">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        </div>
        <div class="collapse navbar-collapse" ng-class="{in: showMobileNav}">
          <ul class="nav navbar-nav">
            <li class="<%= Helper.isCurrentPage(req, 'pages', 'contact') ? 'active' : ''%>">
              <a href="/forenames/<%= __(':lang') %>/contact"><%= __('Contact') %></a>
            </li>
            <li class="<%= Helper.isCurrentPage(req, 'pages', 'project') ? 'active' : ''%>">
              <a href="/forenames/<%= __(':lang') %>/project"><%= __('Project') %></a>
            </li>

            <!-- Hide search slot in navbar on search page  -->
            <% if(!Helper.isCurrentPage(req, 'pages', ['search', 'home'])){ %>
              <li>
              <div class="row">
              <div class="col-md-12 col-xs-9">
              <form class="navbar-form navbar-left" role="search">
              <div class="input-group">
              <input id='search-field' type="text" class="form-control input-mod" placeholder="<%= __('Search_plchldr') %> ..." ng-model="searchString">
              <a id='search-btn' href="/forenames/<%= __(':lang') %>/search#?searchString={{searchString}}" class="btn btn-default input-group-btn btn-mod">
              <span class="glyphicon glyphicon-search glyphicon-search-mod"></span>
              </a>
              </div>
              </form>
              </div>
              </div>
              </li>
              <% } %>

            </ul>

            <ul class="nav navbar-nav navbar-right">
              <li class="dropdown" uib-dropdown is-open="status.isopen">
                <a href="#" class="dropdown-toggle" uib-dropdown-toggle ng-disabled="disabled"><%= __(':LANG') %> <span class="caret"></span></a>
                <ul class="dropdown-menu" uib-dropdown-menu role="menu" aria-labelledby="single-button">
                  <% if(req.locale !== 'de'){ %><li><a href="<%= req.url.replace('/' + req.params.lang , '/de') %>" language-changer="de">DE</a></li><% }%>
                  <% if(req.locale !== 'fr'){ %><li><a href="<%= req.url.replace('/' + req.params.lang , '/fr') %>" language-changer="fr">FR</a></li><% }%>
                  <% if(req.locale !== 'it'){ %><li><a href="<%= req.url.replace('/' + req.params.lang , '/it') %>" language-changer="it">IT</a></li><% }%>
                  <% if(req.locale !== 'en'){ %><li><a href="<%= req.url.replace('/' + req.params.lang , '/en') %>" language-changer="en">EN</a></li><% }%>
                </ul>
              </li>
              <li class="<%= Helper.isCurrentPage(req, 'pages', 'login') ? 'active' : ''%>">
                <a href="/forenames/<%= __(':lang') %>/login">Login</a>
              </li>
            </ul>


          </div>
        </nav>

        <%- body %>
        <hr>
        <div class="row">
          <div class="col-md-12 col-xs-12 hidden-xs" style="font-size:12px;padding-bottom:20px;">
            <%= __('Coop_project') %>
          </div>
          <div class="text-center col-md-12 visible-xs-block" style="font-size:12px;padding-bottom:20px;">
            <%= __('Coop_project') %>
          </div>
        </div>
        <div class="row">
          <div class="col-md-2 hidden-sm" style="width:0px"></div>
          <div class="col-md-2 hidden-sm hidden-xs" style="padding-left:0px;">
            <a href="http://www.ssrq-sds-fds.ch" target="_blank"><img src='/images/ssrq_logo_cropped.png' style='width: 200px;vertical-align: middle;'></a>
          </div>
          <div class="text-center  col-md-2 col-sm-3 visible-sm-block visible-xs-block" style="padding-left:0px;">
            <a href="http://www.ssrq-sds-fds.ch" target="_blank"><img src='/images/ssrq_logo_cropped.png' style='width: 200px;vertical-align: middle;'></a>
          </div>
          <div class="col-md-2 hidden-sm hidden-xs" style="padding-left:47px;">
            <a href="http://www.dodis.ch/" target="_blank"><img src='/images/dodis_logo_ready.png' style='width: 200px;vertical-align: middle;'></a>
          </div>
          <div class="text-center col-sm-3 col-md-2 visible-sm-block visible-xs-block" >
            <a href="http://www.dodis.ch/" target="_blank"><img src='/images/dodis_logo_ready.png' style='width: 200px;vertical-align: middle;'></a>
          </div>
          <div class="col-md-2 hidden-sm hidden-xs" style="padding-left:87px;">
            <a href="http://www.hls-dhs-dss.ch/" target="_blank"><img src='/images/hls_logo_new.png' style='width: 200px;vertical-align: middle;'></a>
          </div>
          <div class="text-center col-sm-3 col-md-2 visible-sm-block visible-xs-block" style="padding-left:17px;">
            <a href="http://www.hls-dhs-dss.ch/" target="_blank"><img src='/images/hls_logo_new.png' style='width: 200px;vertical-align: middle;'></a>
          </div>
          <div class="col-md-2 hidden-sm hidden-xs" style="padding-left:127px;" >
            <a href="http://www.idiotikon.ch" target="_blank"><div class="" style='width: 200px;vertical-align: middle;'>

              <img src='/images/idiotikon_logo.png' style='width: 200px;vertical-align: middle;'></a>
              <a href="https://www.ortsnamen.ch/" target="_blank"><img src='/images/ortsnamen_logo.png' style='width: 200px;vertical-align: middle;'></a>
            </div>
          </div>
          <div class="col-md-2 visible-xs-block" >
            <div style='width: 200px;margin: auto;'>

              <a href="http://www.idiotikon.ch" target="_blank"><img src='/images/idiotikon_logo.png' style='width: 200px;vertical-align: middle;'></a>
              <a href="https://www.ortsnamen.ch/" target="_blank"><img src='/images/ortsnamen_logo.png' style='width: 200px;vertical-align: middle;'></a>
            </div>
          </div>
          <div class="col-sm-3 visible-sm-block hidden-md hidden-xs" >
            <div style='width: 150px;margin: auto;'>

              <a href="http://www.idiotikon.ch" target="_blank"><img src='/images/idiotikon_logo.png' style='width: 150px;vertical-align: middle;'></a>
              <a href="https://www.ortsnamen.ch/" target="_blank"><img src='/images/ortsnamen_logo.png' style='width: 150px;vertical-align: middle;'></a>
            </div>
          </div>
          <div class="col-md-2 hidden-xs" style="width:0px;"></div>
        </div>
        <hr>
        <div class="row">
          <div class="col-md-6">
            <span style="margin-right: 5px;">Mandated by</span>
            <a href="https://www.swissuniversities.ch/isci" target="_blank"><img src='/images/swissuniversities2.png' style='width: 200px;vertical-align: middle;'></a>
          </div>
          <div class="col-md-6" >
            <div class="hidden-sm visible-md-block visible-lg-block visible-xs-block" style="float:right;">
              <span><%= __('all_data_published')%> <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank"><%= __('license')%> CC-BY-NC-SA</a><% if (__(':lang') != 'fr' && __(':lang') != 'it') { %>
                <%= __('published')%><% } %>.</span>
              </div>
              <div class="hidden-xs visible-sm-block hidden-md">
                <span><%= __('all_data_published')%> <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank"><%= __('license')%> CC-BY-NC-SA</a><% if (__(':lang') != 'fr' && __(':lang') != 'it') { %>
                  <%= __('published')%><% } %>.</span>
                </div>
              </div>
            </div>


            <!--
            Client-side Templates
            ========================

            HTML templates are important prerequisites of modern, rich client applications.
            To work their magic, frameworks like Backbone, Angular, Ember, and Knockout require
            that you load these templates client-side.

            By default, your Gruntfile is configured to automatically load and precompile
            client-side JST templates in your `assets/templates` folder, then
            include them here automatically (between TEMPLATES and TEMPLATES END).

            To customize this behavior to fit your needs, just edit `tasks/pipeline.js`.
            For example, here are a few things you could do:

            + Import templates from other directories
            + Use a different template engine (handlebars, jade, dust, etc.)
            + Internationalize your client-side templates using a server-side
            stringfile before they're served.
          -->

          <!--TEMPLATES-->
          
          <!--TEMPLATES END-->


          <!--

          Client-side Javascript
          ========================

          You can always bring in JS files manually with `script` tags, or asynchronously
          on the client using a solution like AMD (RequireJS).  Or, if you like, you can
          take advantage of Sails' conventional asset pipeline (boilerplate Gruntfile).

          By default, files in your `assets/js` folder are included here
          automatically (between SCRIPTS and SCRIPTS END).  Both JavaScript (.js) and
          CoffeeScript (.coffee) are supported. In production, your scripts will be minified
          and concatenated into a single file.

          To customize any part of the built-in behavior, just edit `tasks/pipeline.js`.
          For example, here are a few things you could do:

          + Change the order of your scripts
          + Import scripts from other directories
          + Use a different preprocessor, like TypeScript

        -->

        <!--SCRIPTS-->
        <script src="/js/dependencies/angular.js"></script>
        <script src="/js/dependencies/angular-route.js"></script>
        <script src="/js/dependencies/ui-bootstrap.js"></script>
        <script src="/js/dependencies/ui-bootstrap-tpls.js"></script>
        <script src="/js/dependencies/rzslider.min.js"></script>
        <script src="/js/dependencies/underscore-min.js"></script>
        <script src="/js/dependencies/angular-sanitize.js"></script>
        <script src="/js/dependencies/select.js"></script>
        <script src="/js/dependencies/d3.js"></script>
        <script src="/js/dependencies/nv.d3.js"></script>
        <script src="/js/dependencies/angular-nvd3.js"></script>
        <script src="/js/dependencies/angular-inview.js"></script>
        <script src="/js/angular/App.js"></script>
        <script src="/js/angular/AppDirectives.js"></script>
        <script src="/js/angular/AppControllers.js"></script>
        <script src="/js/angular/AppFilters.js"></script>
        <script src="/js/custom.js"></script>
        <!--SCRIPTS END-->

      </body>
      </html>
